# Hypertext Advanced Targets - Storage
There should be a standard to replace cookies/localstorage that makes more efficient of networking then cookies, and allows user agents to inform users about what stored data is being uploaded. That is to require links to be annotated with which stored data they upload. This would allow persistance of per-site preferences and draft data.

Though for user sessions, we'd ideally have something better!

## Case Studies
* https://write.as/ - saving drafts (though they really wouldn't be receiving those drafts on their server).
* https://duckduckgo.com/settings
* https://elementary.io/store/ - shopping cart

## Prior Work
* http://intercoolerjs.org/
* https://tildegit.org/alcinnz/PostJS/src/branch/master/drafts/hyperlinks-advanced-targets.md

## Concerns
* What if websites use up too much storage space?
* This data could be used by websites to track you.
* User agents should prevent malware being written to disk (trivial to protect against).
* Sites should not be able to access another's data.